#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-A9gtgqer3kIFqLX2pKM9BV
key:                  dhall-1.42.1-A9gtgqer3kIFqLX2pKM9BV
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  252a9986387c262b9f1af5df1ec9ce57
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-A9gtgqer3kIFqLX2pKM9BV
depends:
    Diff-0.4.1-5CHMd9hm2hK4yTjwBhkXbD
    aeson-2.1.2.1-JT1gbb2shwLLy3Tf1UBGhr
    aeson-pretty-0.8.10-7wIu5pYka6aDkB1o5E1MKH
    ansi-terminal-1.0.2-DcWKxdhj5Ak5QW9zDQT4KO
    atomic-write-0.2.1.1-Gy6TIqpyOex3TpgrgFNQYV base-4.17.2.1
    base16-bytestring-1.0.2.0-9mb0Ir84xKMA3I88HOApQp
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    cborg-0.2.9.0-9hwcyIeIQTO7oPa7d6TQAP
    cborg-json-0.2.6.0-G1SH7bSEWscA9DwOI3rpDO containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-3KVAJ0gbxAG8GZUnbn8jFV
    data-fix-0.3.3-Ae95BGkNJ6M2ZtAewHkPPT deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-EBAvHhJY7JL3AYIEIY10dy exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-6B3XuNAQwVlAQdcUIszUsF
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2 haskeline-0.8.2
    http-client-0.7.18-BEUBUOv3j8dFul1N0nuDT6
    http-client-tls-0.3.6.4-IwffP2BdY4W4nHJZCUDWc8
    http-types-0.12.4-CkuM9UJq4Wf7kbPBM7lhBh
    indexed-traversable-0.1.4-8u6FapWzRE5EZ71WCkwVcL
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-B9I7jpzUZcK2zvsIUGB2wh
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-JjmDvpdn2VAKjLknJxWVBO
    optparse-applicative-0.17.1.0-GJejBEZRufe1ghPqBo6gVT
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-5wblteRaDWo52PhHbOejPA
    pretty-simple-4.1.3.0-GyZwkZOYhy26KZVeEDtEmI
    prettyprinter-1.7.1-D3sioF8aQdWB1PWrDshF2j
    prettyprinter-ansi-terminal-1.1.3-8LemWXapcVWIS8NuweYmmX
    profunctors-5.6.2-BsvMv5ivuEWAk9oNCXJExQ
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-4ixZzeoCam28yVjJxs1IT2
    serialise-0.2.6.1-7jhlAtpEKgIKIlT0vbiAcw template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-90kfwtA479t3lOgKAQUeqm
    text-short-0.1.6-7rnDEHDvb66IaT7u3qxpuT
    th-lift-instances-0.1.20-Kqp1MkClY7aCo8VBoxfMBV time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-4UfdIk7oDkqLEzchZmZ789
    unordered-containers-0.2.20-GHxywVRZMTgDKQfzKfhJsl
    vector-0.13.2.0-7lCcQdq9xkO6clGWLwrFQw

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

